# Class SnpEffCmdGsa

java.lang.Object
org.snpeff.SnpEff
org.snpeff.snpEffect.commandLine.SnpEffCmdGsa

All Implemented Interfaces:
  `CommandLine`

public class SnpEffCmdGsa extends SnpEff
Command line: Gene-Sets Analysis Perform gene set analysys

Author:
  pcingola

## Nested Class Summary

### Nested classes/interfaces inherited from class SnpEff

`SnpEff.GeneDatabaseFormat, SnpEff.InputFormat, SnpEff.OutputFormat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`MAX_WARNS`
`static int`
`READ_INPUT_SHOW_EVERY`

### Fields inherited from class SnpEff

`args, BUILD, BUILD_DATE, canonical, canonicalFile, command, COMMAND_LINE_WIDTH, config, configFile, configOverride, customIntervalFiles, dataDir, debug, DEFAULT_COMMAND, download, expandIub, filterIntervalFiles, genomeVer, help, hgvs, hgvsForce, hgvsOld, hgvsOneLetterAa, hgvsShift, hgvsTrId, interaction, log, maxTranscriptSupportLevel, motif, multiThreaded, nextProt, nextProtKeepAllTrs, noGenome, numWorkers, onlyProtein, onlyRegulation, onlyTranscriptsFile, output, quiet, regulationTracks, REVISION, saveOutput, shiftArgs, snpEffCmd, SOFTWARE_NAME, spliceRegionExonSize, spliceRegionIntronMax, spliceRegionIntronMin, spliceSiteSize, strict, suppressOutput, tags, tagsNo, testing, treatAllAsProteinCoding, verbose, VERSION, VERSION_AUTHOR, VERSION_BUILD, VERSION_MAJOR, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffCmdGsa()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`config()`
Read config file, load invalid input: '&' build database
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run command
`protected boolean`
`runAnalisis()`
Run command
`protected boolean`
`runAnalisisRand()`
Run enrichment analysis using random scores
`protected boolean`
`runCommands()`
Read "command" lines from file.
`void`
`usage(String message)`
Show usage and exit

### Methods inherited from class SnpEff

`addRegulationTrack, canonical, cmd, commandLineStr, filterTags, getArgs, getConfig, getConfigFile, getOutput, isOpt, load, loadConfig, loadCustomFile, loadDb, loadMarkers, main, reportValues, run, setCanonical, setConfig, setConfigFile, setDebug, setGenomeVer, setLog, setNextProt, setNextProtKeepAllTrs, setShiftHgvs, setSpliceSiteSize, setSupressOutput, setTesting, setUpDownStreamLength, setVerbose, usageDb, usageGeneric, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### READ_INPUT_SHOW_EVERY

public static int READ_INPUT_SHOW_EVERY

### MAX_WARNS

public static int MAX_WARNS

## Constructor Details

### SnpEffCmdGsa

public SnpEffCmdGsa()

## Method Details

### config

protected void config()
Read config file, load invalid input: '&' build database

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `CommandLine`
Overrides:
  `parseArgs` in class `SnpEff`

### run

public boolean run()
Run command

Specified by:
  `run` in interface `CommandLine`
Overrides:
  `run` in class `SnpEff`

### runAnalisis

protected boolean runAnalisis()
Run command

### runAnalisisRand

protected boolean runAnalisisRand()
Run enrichment analysis using random scores

### runCommands

protected boolean runCommands()
Read "command" lines from file. Loads database only once to save time

Returns:

### usage

public void usage(String message)
Show usage and exit

Specified by:
  `usage` in interface `CommandLine`
Overrides:
  `usage` in class `SnpEff`